{ pkgs, config, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "monitoring";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  #networking.firewall.allowedTCPPorts = [ 
  #  config.services.grafana.settings.server.http_port
  #];

  services.grafana = {
    enable = true;
    settings = {
      server = {
        http_addr = "0.0.0.0";
        http_port = 3000;
        domain = "monitoring.hoki-porgy.ts.net";
      };
    };

    provision = {
      enable = true;
      datasources.settings.datasources = [
        {
          url = "localhost:4000";
          type = "prometheus";
          name = "Prometheus";
        }
      ];
    };
  };
  
  services.prometheus = {
    enable = true;
    port = 4000;
    
    scrapeConfigs = let
      static = name: ports: { 
        job_name = name;
        static_configs = [
          { 
            targets = map (port: "${name}.hoki-porgy.ts.net:${builtins.toString port}") ports;
          }
        ]; 
      };
    in [
      (static "aerial" [ 14200 ])
    ];
  };

}
